<?php

function CheckAbilityOfInstallation()
{
  $result['Success'] = 1;
  $result['ErrorMessage'] = '!';

  return $result;
}

function InstallPatch()
{
  global $DOCUMENT_ROOT, $TMP_FOLDER;
 
  $result['Success'] = 1;
  $result['ErrorMessage'] = '!';

  @mkdir($DOCUMENT_ROOT."/netcat_files/File", 0777);
  @mkdir($DOCUMENT_ROOT."/netcat_files/Flash", 0777);
  @mkdir($DOCUMENT_ROOT."/netcat_files/Image", 0777);
  @mkdir($DOCUMENT_ROOT."/netcat_files/Media", 0777);

  if (IsModuleInstalled('banner'))
  {
    copy($TMP_FOLDER."/banner.index.php", $DOCUMENT_ROOT."/netcat/modules/banner/index.php");
  }

  if (IsModuleInstalled('poll'))
  {
    copy($TMP_FOLDER."/poll.index.php", $DOCUMENT_ROOT."/netcat/modules/poll/index.php");
  }

  if (IsModuleInstalled('search'))
  {
    copy($TMP_FOLDER."/search.function.inc.php", $DOCUMENT_ROOT."/netcat/modules/search/function.inc.php");
  }

  if (IsModuleInstalled('stats'))
  {
    CopyStatsDataFiles();
    CreateGeoTable();
    copy($TMP_FOLDER."/stats.admin.inc.php", $DOCUMENT_ROOT."/netcat/modules/stats/admin.inc.php");
    copy($TMP_FOLDER."/stats.function.inc.php", $DOCUMENT_ROOT."/netcat/modules/stats/function.inc.php");
    @unlink($DOCUMENT_ROOT."/netcat/modules/stats/iptocountry.dat");
  }

  return $result;
}

function IsModuleInstalled($module_name)
{
  global $LinkID;

  $q = mysql_query("SELECT * FROM Module WHERE Keyword='{$module_name}'", $LinkID);
  if (!mysql_num_rows($q))
    return FALSE;

  return TRUE;
}

function CreateGeoTable()
{
  global $LinkID;
  
  mysql_query("CREATE TABLE Stats_Geo (Date date NOT NULL default '0000-00-00', Country char(2) NOT NULL default '',  Hits int(11) NOT NULL default '0', Catalogue_ID int(11) NOT NULL default '0', PRIMARY KEY (Date,Country,Catalogue_ID))", $LinkID);
}

function CopyStatsDataFiles()
{
  global $TMP_FOLDER, $DOCUMENT_ROOT;
  
  @mkdir($DOCUMENT_ROOT."/netcat/modules/stats/data");

  $d = dir($TMP_FOLDER."/data");
  while (false !== ($entry = $d->read()))
  {
    if ($entry == "." || $entry == "..")
      continue;
    if (strpos($entry, "dat") === false)
      continue;
    copy($TMP_FOLDER."/data/$entry", $DOCUMENT_ROOT."/netcat/modules/stats/data/$entry");
  }
  $d->close();
}

?>