<?php
/* $Id: index.php,v 1.2 2005/09/05 13:55:37 volodya Exp $ */

require("../../vars.inc.php");
require("../function.inc.php");
require("../catalogue/function.inc.php");
require($INCLUDE_FOLDER."s_files.inc.php");
require($INCLUDE_FOLDER."s_common.inc.php");
require("function.inc.php");

$Delimeter = " &gt ";
$main_section = "control";
$item_id = 1;
$Title1 = "<a href=\"/netcat/admin/catalogue/\">".CONTROL_CONTENT_SUBDIVISION_INDEX_SITES."</a>";
$Title2 = CONTROL_CONTENT_SUBDIVISION_INDEX_SECTIONS;

$Title3 = "<a href=\"/netcat/admin/subdivision/?";
if (isset($CatalogueID) && $CatalogueID)
   $Title3 .= "CatalogueID=".$CatalogueID;
else
   $Title3 .= "ParentSubID=".$ParentSubID;
$Title3 .= "\">".CONTROL_CONTENT_SUBDIVISION_INDEX_SITES."</a>";

$Title4 = CONTROL_CONTENT_SUBDIVISION_INDEX_ADDSECTION;
$Title5 = GetSubdivisionNameByID ($SubdivisionID);
$Title8 = CONTROL_CONTENT_SUBDIVISION_INDEX_OPTIONSECTION;
$Title9 = CONTROL_CONTENT_SUBDIVISION_INDEX_DELETECONFIRMATION;
$Title10 = CONTROL_CONTENT_SUBDIVISION_INDEX_MOVESECTION;
$Title11 = CONTROL_CONTENT_SUBDIVISION_INDEX_SECTIONS;

$CatalogueURL = "/netcat/admin/catalogue/?phase=6&CatalogueID=";
$SubdivisionURL = "/netcat/admin/subdivision/?phase=4&SubdivisionID=";

if ($phase==13) $ParentSubID = $NewParentSubID;

$loc = new SubdivisionLocation ($CatalogueID, $ParentSubID, $SubdivisionID);

if (!isset($phase)) $phase=1;

$sh = new SubdivisionHierarchy ($Delimeter, $CatalogueURL, $SubdivisionURL);

switch ($phase) {
  case 1:
     #   
     BeginHtml ($Title2, $Title1.$Delimeter.$sh->Link.$Delimeter.$Title11, "http://".$DOC_DOMAIN."/management/sites/sections/");
     ShowSubdivisionList ();

   break;

  case 2:
     #    
     BeginHtml ($Title4, $Title1.$Delimeter.$sh->Link.$Delimeter.$Title4, "http://".$DOC_DOMAIN."/management/sites/sections/add/");
     SubdivisionForm (3, "index.php", 1);

   break;

  case 3:
     #   
     BeginHtml ($Title2, $Title1.$Delimeter.$sh->Link.$Delimeter.$Title11, "http://".$DOC_DOMAIN."/management/sites/sections/");
     $perm->ExitIfGuest ();

     if ($CatalogueID) {
        $perm->ExitIfNotSupervisorManagerCatalogueAdmin ($CatalogueID);
     } else {
       $perm->ExitIfNotSupervisorManagerCatalogueSubdivisionAdmin (GetCatalogueBySubdivision($ParentSubID), $ParentSubID);
     }

     if ($posting == 1) {
        if (!$Subdivision_Name) {
           print "<b>".CONTROL_CONTENT_SUBDIVISION_INDEX_ERROR_THREE_NAME."</b>";
           SubdivisionForm (3, "index.php", 1);
           break;
        }

        if ( !IsAllowedSubdivisionEnglishName ($EnglishName, $loc->ParentSubID, 0, $loc->CatalogueID) ) {
           print "<b>".CONTROL_CONTENT_SUBDIVISION_INDEX_ERROR_THREE_KEYWORD."</b>";
           SubdivisionForm (3, "index.php", 1);
           break;
        }

        if ( strspn(strtolower($EnglishName), "abcdefghijklmnopqrstuvwxyz0123456789-") != strlen($EnglishName) ) {
           print "<b>".CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ERROR_KEYWORD_INVALID."</b>";
           SubdivisionForm (3, "index.php", 1);
           break;
        }

        if (ActionSubdivisionCompleted ($type)) {
           AskForSubClassAddition ();
        }
     }

   break;

  case 4:
     #     
     BeginHtml ($Title5, $Title1.$Delimeter.$sh->Link, "http://".$DOC_DOMAIN."/management/sites/sections/info/");
     ShowSubdivisionMenu ($SubdivisionID, 9, "index.php", 5, "index.php", 12, "index.php");

   break;

  case 5:
     #     
     BeginHtml ($Title8, $Title1.$Delimeter.$sh->Link.$Delimeter.$Title8, "http://".$DOC_DOMAIN."/management/sites/sections/settings/");
     SubdivisionForm (6, "index.php", 2);

   break;

  case 6:
     #   
     BeginHtml ($Title2, $Title1.$Delimeter.$sh->Link, "http://".$DOC_DOMAIN."/management/sites/sections/info/");

     $perm->ExitIfGuest ();
     if ( !($perm->isSupervisor() || $perm->isManager() || $perm->isCatalogueAdmin ( GetCatalogueBySubdivision($SubdivisionID) ) || $perm->isSubdivisionAdmin($SubdivisionID) ) ) {
        print $NO_RIGHTS_MESSAGE;
        EndHtml ();
        exit;
      }        


     if ($posting == 1) {
        if (!$Subdivision_Name) {
           print "<b>".CONTROL_CONTENT_SUBDIVISION_INDEX_ERROR_THREE_NAME."</b>";
           SubdivisionForm (6, "index.php", 2);
           break;
        }

        if ( !IsAllowedSubdivisionEnglishName ($EnglishName, $loc->ParentSubID, $loc->SubdivisionID, $loc->CatalogueID) ) {
           print "<b>".CONTROL_CONTENT_SUBDIVISION_INDEX_ERROR_THREE_KEYWORD."</b>";
           SubdivisionForm (6, "index.php", 2);
           break;
        }

        if ( strspn(strtolower($EnglishName), "abcdefghijklmnopqrstuvwxyz0123456789-") != strlen($EnglishName) ) {
           print "<b>".CONTROL_CONTENT_SUBDIVISION_SUBCLASS_ERROR_KEYWORD_INVALID."</b>";
           SubdivisionForm (6, "index.php", 2);
           break;
        }

        if (ActionSubdivisionCompleted ($type)) {
           ShowSubdivisionMenu ($SubdivisionID, 9, "index.php", 5, "index.php", 12, "index.php");
        }
     } else if ($posting == 2) {
        FileUpload ();
        ShowSubdivisionMenu ($SubdivisionID, 9, "index.php", 5, "index.php", 12, "index.php");
     }

   break;

  
  case 7:
     # ,     

     if (CheckIfDelete()) {
       BeginHtml ($Title9, $Title1.$Delimeter.$sh->Link.$Delimeter.$Title9, "http://".$DOC_DOMAIN."/management/sites/sections/");
       UpdateSubdivisionPriority ();
       AscIfDeleteSubdivision (11, "index.php");
     } else {
       BeginHtml ($Title2, $Title1.$Delimeter.$sh->Link.$Delimeter.$Title11, "http://".$DOC_DOMAIN."/management/sites/sections/");
       $perm->ExitIfGuest ();
       $perm->ExitIfNotSupervisor ();
       UpdateSubdivisionPriority ();
       ShowSubdivisionList ();
     }



   break;

  case 11:
     #   
     BeginHtml ($Title2, $Title1.$Delimeter.$sh->Link.$Delimeter.$Title11, "http://".$DOC_DOMAIN."/admin/catalogue/sections/");
     $perm->ExitIfGuest ();
     $perm->ExitIfNotSupervisorManagerCatalogueAdmin ($CatalogueID);
     DeleteSubdivision ();
     ShowSubdivisionList ();

   break;

  #   ,   11  

  case 12:
     #        
     BeginHtml ($Title10, $Title1.$Delimeter.$sh->Link.$Delimeter.$Title10, "http://".$DOC_DOMAIN."/management/sites/sections/settings/");
     ChangeSubdivisionParentForm (13, "index.php", $SubdivisionID);

   break;

  case 13:
        #       
        if ( $perm->isGuest () ) {
           BeginHtml ($Title2, $Title1.$Delimeter.$sh->NoLink, "http://".$DOC_DOMAIN."/management/sites/sections/info/");
        print $NO_RIGHTS_MESSAGE;
           EndHtml ();
           exit;
     }
     if ( !($perm->isSupervisor() || $perm->isManager() || $perm->isCatalogueAdmin ( GetCatalogueBySubdivision($SubdivisionID) )  ) ) {
           BeginHtml ($Title2, $Title1.$Delimeter.$sh->NoLink, "http://".$DOC_DOMAIN."/management/sites/sections/info/");
        print $NO_RIGHTS_MESSAGE;
        EndHtml ();
        exit;
     }

        $ErrorString = ChangeSubdivisionParentCompleted ($SubdivisionID, $NewParentSubID);
        BeginHtml ($Title2, $Title1.$Delimeter.$sh->NoLink, "http://".$DOC_DOMAIN."/management/sites/sections/info/");
        print $ErrorString;

        ShowSubdivisionMenu ($SubdivisionID, 9, "index.php", 5, "index.php", 12, "index.php");
   break;

}

EndHtml ();
?>
